#!/bin/bash
#
#
export LANG=C 
echo "lancement du calcul"
mkdir VAL
rm VAL/knd*
file="profil.dat" 
awk 'BEGIN{
      L0 = 5
      H0 = 1    
      x=-2.
      for (y = -L0/2 ; y <= L0/2; y += 0.05)
        print x " " y  " 0 ";  
    }' > $file 
gerris2D -m nuss.gfs | gfsview2D vue.gfv


echo "r=\\">   load.gnu  
echo `cat nuss.gfs | grep "Define Rho_gSf" | awk '{ print $3}'`>>load.gnu
echo "m=\\">>   load.gnu      
echo `cat nuss.gfs | grep "Define mu_gSf" | awk '{ print $3}'`>>load.gnu
echo "a=\\">>   load.gnu 
echo `cat nuss.gfs | grep "Define alph" | awk '{ print $3}'`>>load.gnu
echo "F2=\\">>   load.gnu 
echo `cat nuss.gfs | grep "Define F2" | awk '{ print $3}'`>>load.gnu
echo "uf(x)=x*(2 +(-m+r)/(1+m)-x)/2 ">>   load.gnu
echo "ug(x)=-(-2 + x)*(m + r *(-1 + x) + m*r*x)/(2*m*(m+1))">>   load.gnu
echo "u(x)= uf(x)*(x<1)+ug(x)*(x>=1) ">>   load.gnu
set title " "
echo "plot[0:] \"<awk '{ if(\$1>0) print \$0}' VAL/Centre.data\" u 3:(\$5) t'calc',\\
'' u (\$3):(u(\$3)) t'exact' w l,\\
''u 3:(\$7),((1+r-x)*(x<1)+(2-x)*(x>1)*r)*cos(a)/F2 t'exact'" >>load.gnu


cat << "FdF" |gnuplot 
set xlabel "x"
set xlabel "u(y) et p(y)"
l'load.gnu'
    set term post 
    set output "prof.ps"
    replot
FdF
ps2pdf prof.ps


cat <<EOF | gnuplot 
    set ylabel 'Erreur'
    set xlabel 'iteration'
    set logscale y
    plot 1e-4,'proj.dat'w l
    set term post 
    set output "err.ps"
    replot
EOF

ps2pdf err.ps
 

echo "fin normale ?" 
